.cart,
.order-history {

  .container {
    position: relative;

    &::before {
      content: '';
      display: block;
      position: absolute;
      width: 1px;
      height: 100%;
      background-color: #e6e6e6;
      top: 0;
      left: 0;
    }
  }

  .container-table-cart {
    display: flex;
    flex-direction: row;

    @media (max-width: 768px) {
      flex-direction: column;
    }
  }

  .wrap-table-shopping-cart {
    background-color: white;
    overflow: auto;
    padding: 0 25px;
    width: 55%;
    display: flex;
    flex-direction: column;

    @media (max-width: 768px) {
      width: 100%;
      overflow: scroll;
      padding: 0 10px;
    }
  }

  .table-shopping-cart {
    border-collapse: collapse;
    width: 100%;

    .table-row {
      border-top: 1px solid #e6e6e6;
      border-bottom: 1px solid #e6e6e6;
    }

    .column-2,
    .column-3,
    .column-4 {
      padding-right: 30px;
    }

    @media (max-width: 768px) {
      .column-1,
      .column-3,
      .column-4 {
        padding-right: 10px;
      }
    }

    @media (max-width: 576px) {
      .column-2 {
        display: none;
      }
    }

    .column-1 {
      width: 225px;
    }

    .column-2 {
      width: 330px;
    }

    .column-3 {
      width: 133px;
    }

    .column-4 {
      width: 355px;
    }

    .column-meta {
      width: 250px;
    }

    .column-product {
      width: 400px;
    }

    .column-status {
      width: 250px;
    }

    .table-head th {
      font-family: Montserrat-Bold;
      font-size: 13px;
      color: #555555;
      line-height: 1.5;
      text-transform: uppercase;
      padding-top: 16px;
      padding-bottom: 16px;
    }

    .table-row .column-2 {
      font-size: 15px;
    }

    td {
      font-family: Montserrat-Regular;
      font-size: 16px;
      color: #555555;
      line-height: 1.5;
      padding-top: 37px;
      padding-bottom: 30px;
    }

    .cart-img-product {
      width: 90px;
      position: relative;
      overflow: hidden;

      img {
        width: 100%;
      }

      &::after {
        content: '\e870';
        font-family: Linearicons;
        font-size: 16px;
        background-color: rgba(0,0,0,0.5);
        color: white;
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        opacity: 0;
        @include x-transition(all 0.3s);
        @include x-display-flex;
        justify-content: center;
        align-items: center;
      }
    }

    &:hover::after {
      cursor: pointer;
      opacity: 1;
    }
  }

  .counter {
    width: 138px;
  }

  .container-coupon {
    padding: 25px 60px 25px 35px;
    border: 1px solid #e6e6e6;
    border-top: 0;
  	border-bottom-left-radius: 4px;
  	border-bottom-right-radius: 4px;
    @include x-display-flex;
  	@include x-flex-wrap(wrap);
    justify-content: space-between;
  	-ms-align-items: center;
  	align-items: center;


    .btn-update-cart {
      width: 193px;
      height: 45px;
      margin: 10px 0 10px 0;
      @include x-transition(all 0.4s);
    }

    .btn-update-cart {
      button {
        border-radius: 23px;
        font-size: 15px;
      }
    }
  }

  .container-cart-total {
    border: 1px solid #e6e6e6;
  	border-radius: 4px;
    min-width: 350px;
    padding: 30px 40px 0 40px;
    margin: 0 0 0 0;
    margin-left: auto;

    @media (max-width: 768px) {
      width: 100%;
    }

    .cart-total-title {
      font-family: Montserrat-Bold;
    	font-size: 20px;
    	color: #333333;
    	line-height: 1.5;
    	text-transform: uppercase;
      padding-bottom: 24px;
    }

    .subtotal, .total, .shipping {
      padding-bottom: 12px;
      @include x-display-flex;
    	@include x-flex-wrap(wrap);
      justify-content: space-between;
    	-ms-align-items: center;
    	align-items: center;

      &-title {
        font-family: Montserrat-Bold;
      	font-size: 15px;
      	color: #555555;
      	line-height: 1.5;
        width: 34%;
      }

      &-price {
        font-family: Montserrat-Regular;
        font-size: 18px;
        color: #888888;
        line-height: 1.5;
        width: 66%;
      }
    }

    .total {
      padding-top: 26px;
      padding-bottom: 30px;
    }

    .shipping {
      padding: 15px 0 20px 0;
      border-top: 1px dashed #d9d9d9;
    	border-bottom: 1px dashed #d9d9d9;
    }

    .btn-checkout {
      width: 100%;
      height: 50px;
      @include x-transition(all 0.4s);

      button {
        border-radius: 23px;
      }
    }

    .calc-shipping-info {
      font-family: Montserrat-Regular;
    	font-size: 13px;
    	color: #888888;
    	line-height: 1.8;
      padding-bottom: 23px;
    }

    .calc-shipping-title {
      font-family: Montserrat-Regular;
    	font-size: 13px;
    	color: #555555;
    	line-height: 1.8;
    	text-transform: uppercase;
    }

    .calc-shipping-country {
      border: 1px solid #e6e6e6;
    	border-radius: 2px;
      overflow: hidden;
      max-width: 215px;
      margin: 8px 0 12px 0;
    }

    .calc-shipping-state, .calc-shipping-zip {
      max-width: 215px;
    	height: 40px;
      border: 1px solid #e6e6e6;
    	border-radius: 2px;
      margin-bottom: 12px;

      input {
        width: 100%;
      	height: 100%;
        font-family: Montserrat-Regular;
      	font-size: 13px;
      	color: #555555;
      	line-height: 1.8;
        padding: 0 15px 0 15px;
      }
    }

    .calc-shipping-zip {
      margin-bottom: 22px;
    }

    .calc-shipping-update {
      width: 185px;
    	height: 45px;
      margin-bottom: 14px;
      @include x-transition(all 0.4s);
    }
  }
}

.order-history {
  width: 100%;
  padding-top: 0;

  .table-shopping-cart {
    width: 100%;

    td {
      padding: 0;
    }
  }

  .order-meta {
    padding: 20px 20px 40px;
    border-right: 1px solid #dfdfdf;
    box-sizing: border-box;

    .order-number-container {
      margin-bottom: -5px;

      .order-number-description {
        margin-bottom: 5px;
      }

      .order-number {
        font-family: Montserrat-Bold;
        font-size: 18px;
        line-height: 1.2;
        margin-bottom: -1.8px;
        margin-top: -1.8px;
      }
    }

    .order-date {
      font-size: 12px;
      margin: 20px 0;
    }

    .order-actions {
      @include x-display-flex;
      @include x-flex-wrap(wrap);
      font-family: Montserrat-Bold;

      a {
        width: 160px;
        font-size: 14px;
      }
    }
  }

  .order-product {
    height: 200px;
    @include x-display-flex
    justify-content: space-between;
    align-items: center;
    position: relative;

    &-image {
      padding: 20px 20px 40px;

      img {
        width: 140px;
      }
    }

    &-meta {
      padding-top: 20px;
      padding-right: 10px;
      height: 100%;
      font-size: 15px;
    }
  }

  .order-status {
    box-sizing: border-box;
    padding: 20px 20px 20px 0;
    height: 200px;
    font-size: 15px;

    &-code-1 {

    }

    &-last-updated {

    }

  }
}
